package com.kjj.qa.config;

public class BasicConfig {
    public static int apiCount; //接口数量统计

    // ***************  配置信息，每次重新配置以下信息就ok ***************

    // 是否推送
    public static final boolean isPushReport = true;  //true
    // 用户微信昵称
    public static final String WECHAT_NAME =  "小疙瘩人寿";  //true
    // 用户tku
    public static final String AGENT_TKU = "T3gM31f18jAW2M3BQpx6szPXT38RVi2CWuVBaus5fCXZz8yqK5FK7SXvHsaAFtWF7ZwT1C4YgYbyUvL2mE";

    // *************** 钉钉机器人 ***************
    // 线上-告警群
    public static final String DINGTALKPATH = "https://oapi.dingtalk.com/robot/send?access_token=f63c9cb36e89dd68e9af82d926933b3afc6544e57b23a3a55ed5b3b772d5e8d2";
    // 测试
//    public static final String DINGTALKPATH = "https://oapi.dingtalk.com/robot/send?access_token=e4b7d997fb9f90b17672dcdb9c9922d52c59f741b82081a368f4d3c305c1afcd";

    // *************** 客集集域名 ***************
    public static final String HOST = "https://kjj.m.duibatest.com.cn";

    public static final String SSO_HOST = "https://sso.duibatest.com.cn";

    public static final String MANAGER_HOST = "https://kjj-mng.duibatest.com.cn";


    // *************** TKU ***************
    public static final String VISITOR_TKU = "T3gM31f18jAW2hicRDxbwHFSuwA4MMVLLeHZ5G4yvb3kN3GLCWAGnZVPFsnr6i8exgC4uYrYUctn4qheph";

    // ***************  素材ID  ***************
    public static final String ARTICLE_CONTENTID = "Kj21NjM4NDc";

    public static final String ANIMATION_CONTENTID = "Kj21MzgzMTk";

    public static final String GAME_CONTENTID = "Kj21NjIxNTk";

    public static final String UPLOAD_CONTENTID = "Kj21NjA1NTE";


    // ***************   公共  ***************
    public static final String VERSION_INFO = "/kjy/mp/version/info";

    public static final String ISVIPSUBSCRIBE = "/kjy/mp/seller/isVipSubscribe";

    public static final String USER_INFO = "/kjy/mp/user/info";

    public static final String FORWARD = "/kjy/mp/forward";

    public static final String GETSCID = "/kjy/mp/seller/getScId";

    public static final String HASALREADYLIKE = "/kjy/mp/interaction/hasAlreadyLike";

    public static final String CHECKUNREAD = "/kjy/mp/chat/checkUnread";

    public static final String CONTENT_READ = "/kjy/mp/content/read";

    public static final String INTERACTION_LIKE =  "/kjy/mp/interaction/like";


    // ***************   支付  ***************
    public static final String PAY_GETMIDDLEDETAIL = "/kjy/mp/payMiddle/getMiddleDetail";

    public static final String PAY_HASSITESALEVALID = "/kjy/mp/seller/dist/hasSiteSaleValid";

    public static final String PAY_GETPROMOCODE = "/kjy/order/getPromoCode";

    public static final String PAY_COMBOLIST = "/kjy/mp/combo/list/v2?code=";

    public static final String PAY_ORDERCREATE = "/kjy/order/create";

    public static final String PAY_ORDERCANCEL = "/kjy/order/cancel";

    public static final String PAY_VERSIONEXCHANGE = "/kjy/mp/version/exchange";

    public static final String PAY_DISTRIBUTE = "/kjy/sp/visitorPayment/distribute";


    // ***************   名片  ***************
    public static final String SELLERCARD_TOPOFDETAIL = "/kjy/mp/sellerCardV5/topOfDetail";

    public static final String SELLERCARD_EDITBASEINFO = "/kjy/mp/sellerCard/editBaseInfo";

    public static final String SELLERCARD_PERSONALPROFILE = "/kjy/mp/sellerCardV5/personalProfile";

    public static final String SELLERCARD_EDITMAJORGOODAUTH = "/kjy/mp/sellerCard/editMajorGoodAuth";

    public static final String SELLERCARD_APPRAISELISTNEW = "/kjy/mp/sellerCardV5/appraiseListNew";

    public static final String SELLERCARD_GETQUESTIONS = "/kjy/mp/sellerCardV5/getQuestions";

    public static final String SELLERCARD_ISDISPLAYACTIVITY = "/kjy/mp/clue/activity/isDisplayActivity";

    public static final String SELLERCARD_COMPANYLIST = "/kjy/mp/company/list";

    public static final String SELLERCARD_SELLERCARDCASENEW = "/kjy/mp/sellerCardV5/sellerCardCasesNew";

    public static final String SELLERCARD_PRODUCTLIST = "/kjy/mp/sellerCardV5/productList";

    public static final String SELLERCARD_GETSELLERCARDCONFIG = "/kjy/mp/sellerConfig/getSellerCardConfig";

    public static final String SELLERCARD_GETSELLERCARDSTYLE = "/kjy/mp/sellerConfig/getSellerCardStyle";

    public static final String SELLERCARD_TOPOFCONTENT = "/kjy/mp/sellerCardV5/topOfContent";

    public static final String SELLERCARD_BOTTOMOFCONTENT = "/kjy/mp/sellerCardV5/bottomOfContent";


    // ***************   上传  ***************
    public static final String UPLOAD = "/kjy/mp/seller/import/upload";

    public static final String UPLOAD_TASKSTATUS = "/kjy/mp/seller/import/taskStatus";

    public static final String UPLOAD_CONTENTDETAIL = "/kjy/mp/content/detail";

    public static final String UPLOAD_UPDATEANDSHARE = "/kjy/mp/content/updateAndShare";

    public static final String UPLOAD_UPLOADVEDIO = "/kjy/mp/upload/video";

    public static final String UPLOAD_SELLERUPLOADVEDIO = "/kjy/mp/seller/upload/video";

    public static final String UPLOAD_HOT = "/kjy/mp/seller/import/hot";

    public static final String UPLOAD_VIDEOHOT = "/kjy/mp/seller/import/video/hot";

    public static final String UPLOAD_LIST = "/kjy/mp/seller/import/list";

    public static final String UPLOAD_UNBIND = "/kjy/mp/seller/import/unbind";


    // ***************   新手任务  ***************
    public static final String NOVICE_LIST = "/kjy/mp/seller/novice/list";

    public static final String NOVICE_MONGOLIANLAYERISPLAY = "/kjy/mp/seller/novice/mongolianLayerDisplay";


    // ***************   谁看过我  ***************
    public static final String WHOSAWME_CUSTCLUELISTV2 = "/kjy/mp/whoSawMe/custClueList/v2";


    // ***************   文章   ***************
    public static final String ARTICLE_H5INFO = "/kjy/mp/article/h5info";

    public static final String ARTICLE_GETEXPINFO = "/kjy/mp/explosioncontent/getexpinfo";

    public static final String ARTICLE_GETTAGTYPESBYCONTENTID = "/kjy/mp/explosionContent/resource/getTagTypesByContentId";

    public static final String ARTICLE_GETQUESTIONS = "/kjy/mp/explosioncontent/qa/getquestions";

    public static final String ARTICLE_ISDISPLAYACTIVITY = "/kjy/mp/clue/activity/isDisplayActivity";

    public static final String ARTICLE_GETENHANCEDCOLUMNCONFIG = "/kjy/mp/sellerConfig/getEnhancedColumnConfig";

    public static final String ARTICLE_ENHANCEDCOLUMN_GETCONTENTS = "/kjy/mp/enhancedColumn/getContents";

    public static final String ARTICLE_ENHANCEDCOLUMN_GETFAQS = "/kjy/mp/enhancedColumn/getFAQs";

    public static final String ARTICLE_GETEXPLOSIONCONTENTLIST = "/kjy/mp/explosioncontent/getExplosionContentList";

    // **************  发圈素材  ***************
    public static final String FRIENDS_GETMATERIALTAGS = "/kjy/mp/materialContent/getmaterialTags";

    public static final String FRIENDS_ISUSERFIRSTENTERANDCOLLECT = "/kjy/mp/materialContent/isUserFirstEnterAndCollect";

    public static final String FRIENDS_COUNTBYFIRSTTAG = "/kjy/mp/timelineContent/countByFirstTag";

    public static final String FRIENDS_GETUNREADTIMELINSLIST = "/kjy/mp/timelineContent/getUnreadTimelineList";

    public static final String FRIENDS_GETTIMELINELIST = "/kjy/mp/timelineContent/getTimelineList";

    public static final String FRIENDS_GETNEWESTCOUNTBYTYPE = "/kjy/mp/home/getNewestCountByType";

    public static final String FRIENDS_ASYNCMARKTIMELINEREAD = "/kjy/mp/timelineContent/asyncMarkTimelineRead";

    public static final String FRIENDS_ADDORCANCELCOLLECT = "/kjy/mp/materialContent/addOrCancelCollect";

    public static final String FRIENDS_QUERYLISTFORCOLLECT =  "/kjy/mp/materialContent/queryListForCollect";

    public static final String FRIENDS_GETCHANNELLIST = "/kjy/mp/materialContent/getChannelList";

    public static final String FRIENDS_CHANNELDETAIL = "/kjy/mp/materialContent/channelDetail";

    public static final String FRIENDS_GETCURRENTINFO ="/kjy/mp/timelineContent/getCurrentInfo";

    // ************** 首页 ****************
    public static final String HOME_GETHOMETIMELINECONTENT = "/kjy/mp/home/getHomeTimeLineContent";

    // **************  设置中心  ***************
    public static final String SELLERCONFIG_EDITCONFIG = "/kjy/mp/sellerConfig/editConfig";


    // ************************* 管理后台 **************************
    public static final String TESTUSER_DISABLEUSER = "kjj-mng.duibatest.com.cn/kjy/manager/testUser/disableUser";


    // **************  BOSS看板  ***************
    public static final String BOSS_VERSIONINFO = "/kjy/mp/version/info";

    public static final String BOSS_ROLE = "/kjy/mp/seller/team/member/role";

    public static final String BOSS_CODE = "/kjy/mp/seller/team/invite/code";

    public static final String BOSS_IDENTITY = "/kjy/mp/seller/team/member/identity";

    public static final String BOSS_BOUND = "/kjy/mp/seller/team/bound";

    public static final String BOSS_BOSS = "/kjy/mp/seller/team/boss";

    public static final String BOSS_REMOVE = "/kjy/mp/seller/team/member/remove";

    public static final String BOSS_USERINFO = "/kjy/mp/user/info";

    public static final String BOSS_MEMBER = "/kjy/mp/seller/team/member";

    // 管理后台
    public static final String SSO_DOLOGIN = "/doLogin";

    public static final String SSO_INDEX = "/sso/ssoIndex";

    public static final String MANAGER_AUTH = "/auth/getAuthList";

    public static final String MANAGER_CHANGECOMPANY = "/kjy/manager/seller/changeCompany";

    public static final String MANAGER_UPDATETYPEORDATE = "/kjy/manager/seller/updateTypeOrDate";
}
